using TodoTicketApp.Models;

namespace TodoTicketApp.Services;

public interface ITicketService
{
    void AddTicket(Ticket ticket);
    IEnumerable<Ticket> GetPendingTickets();
    Ticket? GetNextTicket();
    void CompleteTicket(Guid id);
    void AddComment(Guid ticketId, TicketComment comment);

    Ticket? GetTicketById(Guid id);
    void UpdateTicket(Ticket ticket);
}